
GammaLib - Action #103

Feature # 83 (Closed): Implement CTA interface for 1DC data format

Implement general CTA response table class.

03/05/2012 10:27 PM - Knödlseder Jürgen

Status: Closed Start date: 03/05/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: 00-05-00   

Description

History

#1 - 03/05/2012 10:27 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Start date set to 03/05/2012

#2 - 03/05/2012 10:29 PM - Knödlseder Jürgen

- % Done changed from 0 to 30

The general CTA response table class should read parameter cubes stored in single row vector columns (Fermi/LAT response format). While

Fermi/LAT only uses 2D tables, we want here to support any N-dimensional table, so that the format can be extended.

#3 - 03/07/2012 06:13 PM - Knödlseder Jürgen

- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

Finished the implementation required for the 1DC analysis (supposing that the response format is the one that Karl will provide).

The only method that is not yet implemented is the GCTAResponseTable::write method, yet as we don't need this for the 1DC we skip this for the

moment.

#4 - 03/07/2012 06:16 PM - Knödlseder Jürgen

- Remaining (hours) changed from 8.0 to 0.0

#5 - 04/25/2012 11:27 AM - Knödlseder Jürgen

- Status changed from Resolved to Closed
